summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/symlink8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/symlink b/tests/symlink
index 012d8f8f..071160bc 100755
--- a/tests/symlink
+++ b/tests/symlink
@@ -57,7 +57,13 @@ do
esac
printf "$exp" >exp || framework_failure_
- LC_ALL=C sort grepout >out || fail=1
+
+ LC_ALL=C sort grepout >out-t || fail=1
+
+ # Ignore "Binary file d matches" on systems for which
+ # reading from a directory actually succeeds.
+ grep -v Binary out-t > out; case $? in 0|1) ;; *) fail=1;; esac
+
compare exp out || fail=1
done
done